$(info --> Reading $(lastword $(MAKEFILE_LIST)))

comma := ,

ECEARTH_SRC_DIR         := ${HOME}/models/ecearth_3.3.3.2/sources

MPI_BASE_DIR            := 
ifneq ($(strip $(MPI_BASE_DIR)),)
MPI_INC_DIR             := $(MPI_BASE_DIR)$(addprefix /,)
MPI_LIB_DIR             := $(MPI_BASE_DIR)$(addprefix /,)
endif
MPI_LIBS                := 

OASIS_BASE_DIR          := $(ECEARTH_SRC_DIR)/oasis3-mct
OASIS_ARCH              := ecconf
OASIS_MPI_CHAN          := MPI1
OASIS_MOD_DIR           := $(OASIS_BASE_DIR)/$(OASIS_ARCH)/build/lib/psmile.$(OASIS_MPI_CHAN)
OASIS_LIB_DIR           := $(OASIS_BASE_DIR)/$(OASIS_ARCH)/lib
OASIS_LIBS              := psmile.MPI1 mct mpeu scrip

ifneq ($(strip /),)
NETCDF_LIB_DIR          := $(EBROOTNETCDF)/lib64 $(EBROOTNETCDFMINFORTRAN)/lib
NETCDF_INC_DIR          := $(EBROOTNETCDF)/include $(EBROOTNETCDFMINFORTRAN)/include
endif
NETCDF_LIBS             := netcdff netcdf

LAPACK_BASE_DIR         := $(EBROOTIMKL)/mkl/latest
ifneq ($(strip $(LAPACK_BASE_DIR)),)
LAPACK_LIB_DIR          := $(LAPACK_BASE_DIR)$(addprefix /,lib/intel64)
endif
LAPACK_LIBS             := mkl_intel_lp64 mkl_core mkl_sequential

ifneq ($(strip $(EBROOTGRIB_API)),)
GRIBAPI_INC_DIR         := $(EBROOTGRIB_API)/include
GRIBAPI_LIB_DIR         := $(EBROOTGRIB_API)/lib
endif
GRIBAPI_LIBS            := grib_api_f90 grib_api

ifneq ($(strip /gpfs/projects/acad/ecearth/softs/gribex/iompi-2022.05),)
GRIBEX_LIB_DIR          := /gpfs/projects/acad/ecearth/softs/gribex/iompi-2022.05/lib
endif
GRIBEX_LIBS             := gribexR64

MAKEDEPF90              := $(ECEARTH_SRC_DIR)/util/makedepf90/bin/makedepf90

F90                     := mpif90
F90FLAGS                := -r8 -O3 -march=core-avx2 -ip -fp-model precise -extend-source 132 

IFSAUX_ADD_F90FLAGS     := 

FC                      := mpif90
FFLAGS                  := -r8 -O3 -march=core-avx2 -ip -fp-model precise -extend-source 132 

FPPDEFS                 := $(addprefix -D,linux LINUX LITTLE LITTLE_ENDIAN POINTER_64 BLAS)

CC                      := mpicc
CFLAGS                  := -fp-model precise -march=core-avx2
CPPDEFS                 := $(addprefix -D,linux LINUX LITTLE LITTLE_ENDIAN POINTER_64 BLAS)

LD                      := $(F90)
LDFLAGS                 := -fp-model precise -march=core-avx2

AR                      := ar
ARFLAGS                 := curv
ARFLAGS_EXTRACT         := p
